
%global __python /usr/bin/python2.6
%global __os_install_post %{__python26_os_install_post}
%{!?python_sitelib26: %global python_sitelib26 %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python26-httplib2 
Version:        0.6.0
Release:        2%{?dist}
Summary:        Comprehensive HTTP client library

Group:          System Environment/Libraries
License:        MIT
URL:            http://code.google.com/p/httplib2/
Source0:        http://httplib2.googlecode.com/files/httplib2-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX) 

BuildRequires:  python26-devel
Requires:       python26
BuildArch:      noarch

%description
A comprehensive HTTP client library that supports many features left out of
other HTTP libraries.

%prep
%setup -q -n httplib2-%{version} 


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf %{buildroot}

%{__python} setup.py install --skip-build --root %{buildroot}

%check
# This module does not include a test suite

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README CHANGELOG 
%{python_sitelib26}/*

%changelog
* Sat Jan 22 2011 Jeffrey Ness <jeffrey.ness@rackspace.com> - 0.6.0-2
- Removing python26-setuptools
- In %%build changed python to %%{__python}
- Adding %%check section
- renamed %%{python_sitelib} to %%{python_sitelib26}
- Modified Summary

* Mon Jan 03 2011 Jeffrey Ness <jeffrey.ness@rackspace.com> - 0.6.0-1
- Porting from IUS to EPEL
- Latest stable sources from upstream. 
- Adding CHANGELOG to %%doc 
- Add __python26_os_install_post override

* Mon Aug 25 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.5.0-1.ius
- Rebuilding for IUS
- Latest stable sources from upstream.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4.0-2
- Rebuild for Python 2.6

* Thu Dec 27 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.4.0-1
- initial version
